summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2023-06-17 09:14:23 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-06-17 09:14:23 +0700
commita5e2cb35172a5a1487a806f6e01de2748bc23f39 (patch)
tree7a1e7331f4a3a743582fdff37df0049b01235626
parent2365940375dec89b8bee3f615ebee607b28c3ae6 (diff)
downloadslackbuilds-a5e2cb35172a5a1487a806f6e01de2748bc23f39.tar.gz
slackbuilds-a5e2cb35172a5a1487a806f6e01de2748bc23f39.tar.xz
python/python3-ufolib2: Added (UFO library and API).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/python3-ufolib2/README6
-rw-r--r--python/python3-ufolib2/changelog6
-rw-r--r--python/python3-ufolib2/python3-ufolib2.SlackBuild107
-rw-r--r--python/python3-ufolib2/python3-ufolib2.info10
-rw-r--r--python/python3-ufolib2/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/python/python3-ufolib2/README b/python/python3-ufolib2/README
new file mode 100644
index 0000000000..18e4e594ab
--- /dev/null
+++ b/python/python3-ufolib2/README
@@ -0,0 +1,6 @@
+ufolib2 is meant to be a thin representation of the
+Union Font Object(UFO) version 3 data model intended for the
+programmatic manipulation and fast batch processing og UFOs.
+It resembles the defcon library but does so without the
+notification,the layout engine and other support classes. Where
+useful and possible it tries to be API compatible with defcon.
diff --git a/python/python3-ufolib2/changelog b/python/python3-ufolib2/changelog
new file mode 100644
index 0000000000..3d52abf01c
--- /dev/null
+++ b/python/python3-ufolib2/changelog
@@ -0,0 +1,6 @@
+Changelog for puthon3-ufolib2 SlackBuild Script
+--------------------------------------------------------------------
+
+15/06/2023:
+
+submitted to slackbuilds.org
diff --git a/python/python3-ufolib2/python3-ufolib2.SlackBuild b/python/python3-ufolib2/python3-ufolib2.SlackBuild
new file mode 100644
index 0000000000..64abdff116
--- /dev/null
+++ b/python/python3-ufolib2/python3-ufolib2.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for python3-ufolib2
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-ufolib2
+VERSION=${VERSION:-0.15.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SRCNAM=${SRCNAM:-ufoLib2}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-march=i586 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="=march=x86-64 -mtune=native -pipe -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${VERSION}
+python3 -m build --wheel --no-isolation
+PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python3 -m installer --destdir="$PKG" dist/*.whl
+
+cd docs
+mkdir -pv build
+sphinx-build -M singlehtml source build
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/build/singlehtml $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-ufolib2/python3-ufolib2.info b/python/python3-ufolib2/python3-ufolib2.info
new file mode 100644
index 0000000000..5155a9194b
--- /dev/null
+++ b/python/python3-ufolib2/python3-ufolib2.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-ufolib2"
+VERSION="0.15.0"
+HOMEPAGE="https://github.com/fonttools/ufolib2"
+DOWNLOAD="https://github.com/fonttools/ufolib2/archive/v0.15.0/python3-ufolib2-0.15.0.tar.gz"
+MD5SUM="a8f2123405d89c272cd3b99658fd9727"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="typing-extensions python3-cattrs python-fonttools python3-fs lxml python3-build python3-installer python3-wheel msgpack-python python3-pytest Sphinx sphinx-rtd-theme"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/python/python3-ufolib2/slack-desc b/python/python3-ufolib2/slack-desc
new file mode 100644
index 0000000000..f57d2e4704
--- /dev/null
+++ b/python/python3-ufolib2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-ufolib2: python3-ufolib2 (UFO library and API)
+python3-ufolib2:
+python3-ufolib2: ufolib2 is meant to be a thin representation of the
+python3-ufolib2: Union Font Object(UFO) version 3 data model intended for the
+python3-ufolib2: programmatic manipulation and fast batch processing og UFOs.
+python3-ufolib2: It resembles the defcon library but does so without the
+python3-ufolib2: notification,the layout engine and other support classes. Where
+python3-ufolib2: useful and possible it tries to be API compatible with defcon.
+python3-ufolib2:
+python3-ufolib2: Homepage:https://github.com/fonttools/ufolib2
+python3-ufolib2: